com.tibbo.aggregate.common.expression.parser

## Interface ExpressionParserTreeConstants

- All Known Implementing Classes:
    ExpressionParser

      public interface ExpressionParserTreeConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JJTADDNODE`
    `static int` | `JJTBITWISEANDNODE`
    `static int` | `JJTBITWISENOTNODE`
    `static int` | `JJTBITWISEORNODE`
    `static int` | `JJTBITWISEXORNODE`
    `static int` | `JJTCONDITIONALNODE`
    `static int` | `JJTDIVNODE`
    `static int` | `JJTEQNODE`
    `static int` | `JJTFALSENODE`
    `static int` | `JJTFLOATCONSTNODE`
    `static int` | `JJTFUNCTIONNODE`
    `static int` | `JJTGENODE`
    `static int` | `JJTGTNODE`
    `static int` | `JJTLEFTSHIFTNODE`
    `static int` | `JJTLENODE`
    `static int` | `JJTLOGICALANDNODE`
    `static int` | `JJTLOGICALNOTNODE`
    `static int` | `JJTLOGICALORNODE`
    `static int` | `JJTLONGCONSTNODE`
    `static int` | `JJTLTNODE`
    `static int` | `JJTMODNODE`
    `static int` | `JJTMULNODE`
    `static int` | `JJTNENODE`
    `static java.lang.String[]` | `jjtNodeName`
    `static int` | `JJTNULLNODE`
    `static int` | `JJTREGEXMATCHNODE`
    `static int` | `JJTRIGHTSHIFTNODE`
    `static int` | `JJTSTART`
    `static int` | `JJTSTRINGCONSTNODE`
    `static int` | `JJTSUBTRACTNODE`
    `static int` | `JJTTRUENODE`
    `static int` | `JJTUNARYNODE`
    `static int` | `JJTUNSIGNEDRIGHTSHIFTNODE`
    `static int` | `JJTVALUEREFERENCENODE`
    `static int` | `JJTVOID`

- - ### Field Detail

    - #### JJTVOID

          static final int JJTVOID

      See Also:
        Constant Field Values

    - #### JJTSTART

          static final int JJTSTART

      See Also:
        Constant Field Values

    - #### JJTCONDITIONALNODE

          static final int JJTCONDITIONALNODE

      See Also:
        Constant Field Values

    - #### JJTLOGICALORNODE

          static final int JJTLOGICALORNODE

      See Also:
        Constant Field Values

    - #### JJTLOGICALANDNODE

          static final int JJTLOGICALANDNODE

      See Also:
        Constant Field Values

    - #### JJTBITWISEORNODE

          static final int JJTBITWISEORNODE

      See Also:
        Constant Field Values

    - #### JJTBITWISEXORNODE

          static final int JJTBITWISEXORNODE

      See Also:
        Constant Field Values

    - #### JJTBITWISEANDNODE

          static final int JJTBITWISEANDNODE

      See Also:
        Constant Field Values

    - #### JJTEQNODE

          static final int JJTEQNODE

      See Also:
        Constant Field Values

    - #### JJTNENODE

          static final int JJTNENODE

      See Also:
        Constant Field Values

    - #### JJTREGEXMATCHNODE

          static final int JJTREGEXMATCHNODE

      See Also:
        Constant Field Values

    - #### JJTLTNODE

          static final int JJTLTNODE

      See Also:
        Constant Field Values

    - #### JJTGTNODE

          static final int JJTGTNODE

      See Also:
        Constant Field Values

    - #### JJTLENODE

          static final int JJTLENODE

      See Also:
        Constant Field Values

    - #### JJTGENODE

          static final int JJTGENODE

      See Also:
        Constant Field Values

    - #### JJTRIGHTSHIFTNODE

          static final int JJTRIGHTSHIFTNODE

      See Also:
        Constant Field Values

    - #### JJTUNSIGNEDRIGHTSHIFTNODE

          static final int JJTUNSIGNEDRIGHTSHIFTNODE

      See Also:
        Constant Field Values

    - #### JJTLEFTSHIFTNODE

          static final int JJTLEFTSHIFTNODE

      See Also:
        Constant Field Values

    - #### JJTADDNODE

          static final int JJTADDNODE

      See Also:
        Constant Field Values

    - #### JJTSUBTRACTNODE

          static final int JJTSUBTRACTNODE

      See Also:
        Constant Field Values

    - #### JJTMULNODE

          static final int JJTMULNODE

      See Also:
        Constant Field Values

    - #### JJTDIVNODE

          static final int JJTDIVNODE

      See Also:
        Constant Field Values

    - #### JJTMODNODE

          static final int JJTMODNODE

      See Also:
        Constant Field Values

    - #### JJTUNARYNODE

          static final int JJTUNARYNODE

      See Also:
        Constant Field Values

    - #### JJTLOGICALNOTNODE

          static final int JJTLOGICALNOTNODE

      See Also:
        Constant Field Values

    - #### JJTBITWISENOTNODE

          static final int JJTBITWISENOTNODE

      See Also:
        Constant Field Values

    - #### JJTFUNCTIONNODE

          static final int JJTFUNCTIONNODE

      See Also:
        Constant Field Values

    - #### JJTVALUEREFERENCENODE

          static final int JJTVALUEREFERENCENODE

      See Also:
        Constant Field Values

    - #### JJTLONGCONSTNODE

          static final int JJTLONGCONSTNODE

      See Also:
        Constant Field Values

    - #### JJTFLOATCONSTNODE

          static final int JJTFLOATCONSTNODE

      See Also:
        Constant Field Values

    - #### JJTSTRINGCONSTNODE

          static final int JJTSTRINGCONSTNODE

      See Also:
        Constant Field Values

    - #### JJTNULLNODE

          static final int JJTNULLNODE

      See Also:
        Constant Field Values

    - #### JJTTRUENODE

          static final int JJTTRUENODE

      See Also:
        Constant Field Values

    - #### JJTFALSENODE

          static final int JJTFALSENODE

      See Also:
        Constant Field Values

    - #### jjtNodeName

          static final java.lang.String[] jjtNodeName